claw::find_type_by_size< Size, meta::no_type > Struct Template Reference

End of the recursion of the find_type_by_size class. More...

`#include <types.hpp>`

## Public Types

typedef meta::if_then_else< sizeof(head_type) *8==Size, head_type, typenamefind_type_by_size< Size, queue_type >::type >::result | type
| If the size of head_type matches the desired one, then the result is head_type, otherwise we search the type in the remaining ones .

## Detailed Description

template<std::size_t Size>
struct claw::find_type_by_size< Size, meta::no_type >

End of the recursion of the find_type_by_size class.

Definition at line 99 of file types.hpp.

## Member Typedef Documentation

## type

typedef meta::if_then_else<sizeof(head_type)*8==Size,head_type,typenamefind_type_by_size<Size,queue_type>::type>::result claw::find_type_by_size< Size, meta::no_type >::type

If the size of head_type matches the desired one, then the result is head_type, otherwise we search the type in the remaining ones .

Definition at line 93 of file types.hpp.

The documentation for this struct was generated from the following file:

- types.hpp